package com.palmnest.model.notice;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.*;

@Entity
@Table(name = "tb_email_config")
public class EmailConfigModel implements Serializable {
	/**
	 *
	 */
	private static final long serialVersionUID = 4604260093487960449L;

	private int    id;
	private String email_address;
	private String password;
	private String send_email_name;
	private String send_server_type;
	private int    orgId;

	public String getEmail_address() {
		return email_address;
	}

	public void setEmail_address(String email_address) {
		this.email_address = email_address;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getSend_email_name() {
		return send_email_name;
	}

	public void setSend_email_name(String send_email_name) {
		this.send_email_name = send_email_name;
	}

	public String getSend_server_type() {
		return send_server_type;
	}

	public void setSend_server_type(String send_server_type) {
		this.send_server_type = send_server_type;
	}

	public String getPop_server() {
		return pop_server;
	}

	public void setPop_server(String pop_server) {
		this.pop_server = pop_server;
	}

	public Integer getPop_port() {
		return pop_port;
	}

	public void setPop_port(Integer pop_port) {
		this.pop_port = pop_port;
	}

	public Integer getPop_encrypted() {
		return pop_encrypted;
	}

	public void setPop_encrypted(Integer pop_encrypted) {
		this.pop_encrypted = pop_encrypted;
	}

	public String getSmtp_server() {
		return smtp_server;
	}

	public void setSmtp_server(String smtp_server) {
		this.smtp_server = smtp_server;
	}

	public Integer getStmp_port() {
		return stmp_port;
	}

	public void setStmp_port(Integer stmp_port) {
		this.stmp_port = stmp_port;
	}

	public Integer getStmp_encrypted() {
		return stmp_encrypted;
	}

	public void setStmp_encrypted(Integer stmp_encrypted) {
		this.stmp_encrypted = stmp_encrypted;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	public String getIsEnabled() {
		return isEnabled;
	}

	public void setIsEnabled(String isEnabled) {
		this.isEnabled = isEnabled;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	private String pop_server;

	private Integer pop_port;

	private Integer pop_encrypted;

	private String smtp_server;

	private Integer stmp_port;

	private Integer stmp_encrypted;

	private Date createTime;

	private String creator;

	private String modifier;

	private Date modifyTime;

	private String isEnabled;


	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "ID", unique = true, nullable = false)
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public int getOrgId() {
		return orgId;
	}

	public void setOrgId(int orgId) {
		this.orgId = orgId;
	}

	private String orgName;

	@Transient
	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
}